/* ********************************************************************** *\
 *         Copyright IBM Corporation 1988,1991 - All Rights Reserved      *
 *        For full copyright information see:'andrew/config/COPYRITE'     *
\* ********************************************************************** */
static char *getsnap_rcsid = "$Header: /afs/andrew.cmu.edu/itc/src/projects/andrew/ams/libs/ms/RCS/getsnap.c,v 2.5 1991/12/18 18:54:28 gk5g Exp $";

/*
$Header: /afs/andrew.cmu.edu/itc/src/projects/andrew/ams/libs/ms/RCS/getsnap.c,v 2.5 1991/12/18 18:54:28 gk5g Exp $
$Source: /afs/andrew.cmu.edu/itc/src/projects/andrew/ams/libs/ms/RCS/getsnap.c,v $
*/
#include <ms.h>

MS_GetSnapshot(dirname, id, SnapshotBuf) 
char *dirname, *id; /* Passed in */
char *SnapshotBuf; /* Passed out */
{
    struct MS_Directory *Dir;
    int msgnum, errsave;

    debug(1, ("MS_GetSnapshot %s %s\n", dirname, id));
    if (ReadOrFindMSDir(dirname, &Dir, MD_READ) != 0) {
	return(mserrcode);
    }
    if (GetSnapshotByID(Dir, id, &msgnum, SnapshotBuf)) {
	errsave = mserrcode;
	CloseMSDir(Dir, MD_READ);
	return(errsave);
    }
    return(CacheDirectoryForClosing(Dir, MD_READ));
}
