/**********************************************************************
 * File Exchange client library
 *
 * $Author: wdc $
 * $Source: /afs/andrew.cmu.edu/itc/src/projects/andrew/contrib/mit/fxlib/lib/RCS/fx_connect.c,v $
 * $Header: /afs/andrew.cmu.edu/itc/src/projects/andrew/contrib/mit/fxlib/lib/RCS/fx_connect.c,v 1.1 1992/02/13 20:29:52 wdc Exp $
 *
 * Copyright 1990 by the Massachusetts Institute of Technology.
 *
 * For copying and distribution information, please see the file
 * <mit-copyright.h>.
 **********************************************************************/

#include <mit-copyright.h>

#ifndef lint
static char rcsid_fx_connect_c[] = "$Header: /afs/andrew.cmu.edu/itc/src/projects/andrew/contrib/mit/fxlib/lib/RCS/fx_connect.c,v 1.1 1992/02/13 20:29:52 wdc Exp $";
#endif /* lint */

#include "fxcl.h"

/*
 * fx_connect -- establish client connection for FX *
 *              fxp->host should already be set;
 */

long
fx_connect(fxp)
     FX *fxp;
{
  /* establish RPC client connection */
  fxp->cl = clnt_create(fxp->host, FXSERVER, FXVERS, "tcp");
  if (!fxp->cl) return(_fx_rpc_errno(fxp->cl));
  return(0L);
}
