/**********************************************************************
 * File Exchange client library
 *
 * $Author: wdc $
 * $Source: /afs/andrew.cmu.edu/itc/src/projects/andrew/contrib/mit/fxlib/lib/RCS/fx_host_list_destroy.c,v $
 * $Header: /afs/andrew.cmu.edu/itc/src/projects/andrew/contrib/mit/fxlib/lib/RCS/fx_host_list_destroy.c,v 1.1 1992/02/13 20:30:31 wdc Exp $
 *
 * Copyright 1990 by the Massachusetts Institute of Technology.
 *
 * For copying and distribution information, please see the file
 * <mit-copyright.h>.
 **********************************************************************/

#include <mit-copyright.h>

#ifndef lint
static char rcsid_fx_host_list_destroy_c[] = "$Header: /afs/andrew.cmu.edu/itc/src/projects/andrew/contrib/mit/fxlib/lib/RCS/fx_host_list_destroy.c,v 1.1 1992/02/13 20:30:31 wdc Exp $";
#endif /* lint */

#include <fxcl.h>

/*
 * fx_host_list_destroy -- free memory allocated for host list
 */

void
fx_host_list_destroy(node)
     stringlist node;
{
  if (node) {
    fx_host_list_destroy(node->next);
    if (node->s)
      free(node->s);
    free((char *) node);
  }
  return;
}
