/**********************************************************************
 * File Exchange client library
 *
 * $Author: wdc $
 * $Source: /afs/andrew.cmu.edu/itc/src/projects/andrew/contrib/mit/fxlib/lib/RCS/fx_stat_destroy.c,v $
 * $Header: /afs/andrew.cmu.edu/itc/src/projects/andrew/contrib/mit/fxlib/lib/RCS/fx_stat_destroy.c,v 1.1 1992/02/13 20:31:09 wdc Exp $
 *
 * Copyright 1989, 1990 by the Massachusetts Institute of Technology.
 *
 * For copying and distribution information, please see the file
 * <mit-copyright.h>.
 **********************************************************************/

#include <mit-copyright.h>

#ifndef lint
static char rcsid_fx_stat_destroy_c[] = "$Header: /afs/andrew.cmu.edu/itc/src/projects/andrew/contrib/mit/fxlib/lib/RCS/fx_stat_destroy.c,v 1.1 1992/02/13 20:31:09 wdc Exp $";
#endif /* lint */

#include "fxcl.h"

/*
 * fx_stat_destroy -- free memory allocated for server stats
 */

void
fx_stat_destroy(stats)
     server_stats **stats;
{
  if (stats && *stats) {
    xdr_free(xdr_server_stats, *stats);
    *stats = NULL;
  }
}
