/**********************************************************************
 * File Exchange client library
 *
 * $Author: wdc $
 * $Source: /afs/andrew.cmu.edu/itc/src/projects/andrew/contrib/mit/fxlib/lib/RCS/fx_directory_destroy.c,v $
 * $Header: /afs/andrew.cmu.edu/itc/src/projects/andrew/contrib/mit/fxlib/lib/RCS/fx_directory_destroy.c,v 1.1 1992/02/13 20:30:22 wdc Exp $
 *
 * Copyright 1989, 1990 by the Massachusetts Institute of Technology.
 *
 * For copying and distribution information, please see the file
 * <mit-copyright.h>.
 **********************************************************************/

#include <mit-copyright.h>

#ifndef lint
static char rcsid_fx_directory_destroy_c[] = "$Header: /afs/andrew.cmu.edu/itc/src/projects/andrew/contrib/mit/fxlib/lib/RCS/fx_directory_destroy.c,v 1.1 1992/02/13 20:30:22 wdc Exp $";
#endif /* lint */

#include "fxcl.h"

/*
 * fx_directory_destroy -- free memory allocated for directory
 */

void
fx_directory_destroy(list)
     stringlist_res **list;
{
  if (list && *list) xdr_free(xdr_stringlist_res, (char *) *list);
  *list = NULL;
}
