/* $Header: /afs/andrew.cmu.edu/itc/src/projects/andrew/contrib/mit/neos/RCS/eos.ch,v 1.1 1992/02/12 18:22:46 wdc Exp $ */
/* $Source: /afs/andrew.cmu.edu/itc/src/projects/andrew/contrib/mit/neos/RCS/eos.ch,v $ */
/* $Author: wdc $ */

#if !defined(lint) && !defined(LOCORE) && defined(RCS_HDRS)
static char *rcsideos_H = "$Header: /afs/andrew.cmu.edu/itc/src/projects/andrew/contrib/mit/neos/RCS/eos.ch,v 1.1 1992/02/12 18:22:46 wdc Exp $";
#endif /* !defined(lint) && !defined(LOCORE) && defined(RCS_HDRS) */

/* ************************************************************
 *  Copyright (C) 1989, 1990, 1991
 *  by the Massachusetts Institute of Technology
 *  For full copyright information see:'mit-copyright.h'     *
 *************************************************************/

#include <mit-copyright.h>

struct readWindow {
    struct buffer *data;
    struct im *im;
    struct frame *fr;
};

union windows {
    struct papers *paperswin;
    struct turnin *turninwin;
    struct pickup *pickupwin;
};

struct windowlist {
    struct windowlist *next;
    union windows *window;
    char *course;
};

class eos : view {
classprocedures:
  InitializeObject() returns boolean;
  FinalizeObject();
  InitializeClass() returns boolean;
overrides:
  LinkTree(struct view *parent);
  FullUpdate(enum view_UpdateType type, long left, long top, long width, long height);
  Update();
  Hit(enum view_MouseAction action, long x, long y, long clicks) returns struct view *;
  PostMenus(struct menulist *menulist);
  PostKeyState(struct keystate *ks);
  ReceiveInputFocus(); 
methods:
  SetBuffer(char *filename, long flags);
  NameBuffer() returns char *;
  SetTitle(char *string);
  SetCourse(char *name);
  SetFontDisplay();
  SetFontDefault();
macromethods:
  SetProgram(char *name) (strcpy((self)->program, name))
data:
  struct lpair         *head, *screen;
  struct buffer        *editregion;
  struct frame         *frame;
  struct label         *title;
  struct labelview     *titleV;
  struct lpair         *buttons;
  struct windowlist    *handouts;
  struct windowlist    *grades;
  struct windowlist    *pickups;
  struct windowlist    *exchanges;
  struct windowlist    *turnins;
  struct help          *helpwindow;
  struct menulist      *menus;
  struct keystate      *keys;
  char *course;
  char *program;
  int dialogpri;
  int menuflags;
  boolean gradingflag;
  struct atom *paperatom;   /* used by grade for naming the 'paper' property of a buffer's data object */
  struct readWindow *displaywindow;
};

