/* $Header: /afs/andrew.cmu.edu/itc/src/projects/andrew/contrib/mit/neos/RCS/eosbutt.ch,v 1.1 1992/02/12 18:23:22 wdc Exp $ */
/* $Source: /afs/andrew.cmu.edu/itc/src/projects/andrew/contrib/mit/neos/RCS/eosbutt.ch,v $ */

#ifndef lint
static char *rcsideosbutt = "$Header: /afs/andrew.cmu.edu/itc/src/projects/andrew/contrib/mit/neos/RCS/eosbutt.ch,v 1.1 1992/02/12 18:23:22 wdc Exp $";
#endif /* lint */

/*
 * eosbutt.ch
 *
 * Package for creating lists of buttons.
 */

/* ************************************************************
 *  Copyright (C) 1989, 1990, 1991
 *  by the Massachusetts Institute of Technology
 *   For full copyright information see:'mit-copyright.h'     *
 ************************************************************ */

#include <mit-copyright.h>
#include "environ.ih"
#include "lpair.ih"
#include "pshbttn.ih"
#include "newbttnv.ih"

/* Structure is linked list of buttons */     
struct buttonList {
  struct buttonList *next;
  struct pushbutton *butt;
  struct newbuttonview *buttv;
};

struct lplist {
    struct lplist *next;
    struct lpair *lp;
};

package eosbutton[eosbutt] {
    classprocedures:
      MakeButton (struct buttonList *blist,char *text, void function(), struct view *object) returns struct buttonList *;
      MakeLpair (struct lplist *lpl) returns struct lplist *;
};
