/* ********************************************************************** *\
 *         Copyright IBM Corporation 1988,1991 - All Rights Reserved      *
 *        For full copyright information see:'andrew/config/COPYRITE'     *
\* ********************************************************************** */
/* $Header: /afs/andrew.cmu.edu/itc/src/projects/andrew/overhead/util/hdrs/RCS/tokens.h,v 2.9 1991/12/03 20:02:29 gk5g Exp $ */
/* $ACIS: $ */
/* $Source: /afs/andrew.cmu.edu/itc/src/projects/andrew/overhead/util/hdrs/RCS/tokens.h,v $ */

#if !defined(lint) && !defined(LOCORE) && defined(RCS_HDRS)
static char *rcsid_h = "$Header: /afs/andrew.cmu.edu/itc/src/projects/andrew/overhead/util/hdrs/RCS/tokens.h,v 2.9 1991/12/03 20:02:29 gk5g Exp $ ";
#endif /* !defined(lint) && !defined(LOCORE) && defined(RCS_HDRS) */

/*
		tokens.h -- Include file for fiddling with tokens.
*/

#include <andyenv.h>

/* Length of packed tokens */
#ifdef AFS_ENV
#define TOKENS_LEN  ((11 * sizeof(long int)) \
			+ sizeof(struct ktc_encryptionKey) \
		        + MAXKTCTICKETLEN \
		        + (6 * 64))
#else /* AFS_ENV */
#define TOKENS_LEN 4
#endif /* AFS_ENV */

#define TokIsPrimary	3
#define TokNotPrimary	2
#define TokLocalPrimary	5
#define TokLocalNotPrimary	4
